Class | Rubygame::EventTriggers::BlockTrigger
In: | lib/rubygame/event_triggers.rb
Parent: | Object

BlockTrigger is an event trigger which calls a block to check events. The trigger fires if the block returns true when called with the event as the only parameter.

### Methods

match? new

### Public Class methods

new( &block )

Initialize a new instance of BlockTrigger with the given block. The block should take only 1 parameter, the event, and return true for matching events.

&block: | The block to pass events to. (Proc, required)

### Public Instance methods

match?( event )

Returns true if the block returns true when called with the event as the only parameter.

[Validate]